<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Dozent\KursUebersicht\Detailsreiter\Teilnehmer\SammelEinzelBearbeitung;

class SammelEinzelBearbeitungFormularUseCase extends \Kufer\Web\KuferTools\Basis\Kursdetails\DetailsReiter\Teilnehmer\SammelEinzelBearbeitung\SammelEinzelBearbeitungFormularUseCase
{
  public function hasAccess($pToolsectionId = null)
  {
    if (!parent::hasAccess($pToolsectionId)) {
      return false;
    }

    if (!\BelegungAPI::isUserAllowedToSeeTn($this->getKurs($this->getRequestedId()), $this->getToolId())) {
      return false;
    }

    return true;
  }

  public static function getDescriptionToolSectionId(): int
  {
    return 773;
  }

  public static function getFormToolSectionId(): int
  {
    return 774;
  }

  public static function getToolId()
  {
    return \ToolsAPI::TOOL_KURSUEBERSICHT_DOZ;
  }

  public static function getToolSectionId()
  {
    return 773;
  }
}